/*
XOWA: the XOWA Offline Wiki Application
Copyright (C) 2012 gnosygnu@gmail.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package gplx.xowa.xtns.math.texvcs.funcs; import gplx.*; import gplx.xowa.*; import gplx.xowa.xtns.*; import gplx.xowa.xtns.math.*; import gplx.xowa.xtns.math.texvcs.*;
import gplx.xowa.xtns.math.texvcs.tkns.*;
public class Texvc_func_regy {
	private final Texvc_func_itm[] ary = new Texvc_func_itm[Texvc_func_itm_.Id_len];
	private final Hash_adp_bry hash = Hash_adp_bry.cs();
	public Texvc_func_itm Get_at(int id) {return ary[id];}
	public Texvc_func_itm Get_by_mid(byte[] src, int bgn, int end) {return (Texvc_func_itm)hash.Get_by_mid(src, bgn, end);}
	private void Add(Texvc_tkn_mkr tkn_mkr, Texvc_func_itm itm) {
		int itm_id = itm.Id();
		ary[itm_id] = itm;
		if (itm_id > Texvc_func_itm_.Id__xowa_unknown)
			hash.Add(itm.Key(), itm);
		Texvc_tkn func_prototype = itm.Tkn();
		if (func_prototype != null)
			tkn_mkr.Reg_singleton(itm.Singleton_id(), func_prototype);
	}
	public static Texvc_func_regy new_(Texvc_tkn_mkr tkn_mkr) {
		Texvc_func_regy rv = new Texvc_func_regy();
rv.Add(tkn_mkr, Texvc_func_itm_.Itm__arg);
rv.Add(tkn_mkr, Texvc_func_itm_.Itm__unknown);
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__AA, "AA").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__aleph, "aleph").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__alpha, "alpha").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__amalg, "amalg").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__And, "And").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__angle, "angle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__approx, "approx").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__approxeq, "approxeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ast, "ast").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__asymp, "asymp").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__backepsilon, "backepsilon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__backprime, "backprime").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__backsim, "backsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__backsimeq, "backsimeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__barwedge, "barwedge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bbbk, "Bbbk").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__because, "because").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__beta, "beta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__beth, "beth").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__between, "between").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigcap, "bigcap").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigcirc, "bigcirc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigcup, "bigcup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigodot, "bigodot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigoplus, "bigoplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigotimes, "bigotimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigsqcup, "bigsqcup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigstar, "bigstar").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigtriangledown, "bigtriangledown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigtriangleup, "bigtriangleup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__biguplus, "biguplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigvee, "bigvee").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigwedge, "bigwedge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacklozenge, "blacklozenge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacksquare, "blacksquare").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacktriangle, "blacktriangle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacktriangledown, "blacktriangledown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacktriangleleft, "blacktriangleleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__blacktriangleright, "blacktriangleright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bot, "bot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bowtie, "bowtie").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Box, "Box").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__boxdot, "boxdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__boxminus, "boxminus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__boxplus, "boxplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__boxtimes, "boxtimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bullet, "bullet").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bumpeq, "bumpeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bumpeq, "Bumpeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cap, "cap").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Cap, "Cap").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cdot, "cdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cdots, "cdots").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__centerdot, "centerdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__checkmark, "checkmark").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__chi, "chi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circ, "circ").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circeq, "circeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circlearrowleft, "circlearrowleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circlearrowright, "circlearrowright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circledast, "circledast").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circledcirc, "circledcirc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circleddash, "circleddash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__circledS, "circledS").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__clubsuit, "clubsuit").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__colon, "colon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__color, "color").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__complement, "complement").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cong, "cong").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__coprod, "coprod").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cup, "cup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Cup, "Cup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curlyeqprec, "curlyeqprec").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curlyeqsucc, "curlyeqsucc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curlyvee, "curlyvee").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curlywedge, "curlywedge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curvearrowleft, "curvearrowleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__curvearrowright, "curvearrowright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dagger, "dagger").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__daleth, "daleth").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dashv, "dashv").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ddagger, "ddagger").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ddots, "ddots").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__definecolor, "definecolor").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__delta, "delta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Delta, "Delta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__diagdown, "diagdown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__diagup, "diagup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__diamond, "diamond").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Diamond, "Diamond").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__diamondsuit, "diamondsuit").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__digamma, "digamma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__displaystyle, "displaystyle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__div, "div").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__divideontimes, "divideontimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__doteq, "doteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__doteqdot, "doteqdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotplus, "dotplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dots, "dots").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotsb, "dotsb").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotsc, "dotsc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotsi, "dotsi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotsm, "dotsm").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dotso, "dotso").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__doublebarwedge, "doublebarwedge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__downdownarrows, "downdownarrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__downharpoonleft, "downharpoonleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__downharpoonright, "downharpoonright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ell, "ell").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__emptyset, "emptyset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__epsilon, "epsilon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eqcirc, "eqcirc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eqsim, "eqsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eqslantgtr, "eqslantgtr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eqslantless, "eqslantless").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__equiv, "equiv").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eta, "eta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__eth, "eth").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__exists, "exists").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__fallingdotseq, "fallingdotseq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Finv, "Finv").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__flat, "flat").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__forall, "forall").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__frown, "frown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Game, "Game").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gamma, "gamma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Gamma, "Gamma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geq, "geq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geqq, "geqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geqslant, "geqslant").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gets, "gets").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gg, "gg").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ggg, "ggg").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gimel, "gimel").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gnapprox, "gnapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gneq, "gneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gneqq, "gneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gnsim, "gnsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtrapprox, "gtrapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtrdot, "gtrdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtreqless, "gtreqless").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtreqqless, "gtreqqless").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtrless, "gtrless").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gtrsim, "gtrsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gvertneqq, "gvertneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hbar, "hbar").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__heartsuit, "heartsuit").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hline, "hline").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hookleftarrow, "hookleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hookrightarrow, "hookrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hslash, "hslash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__iff, "iff").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__iiiint, "iiiint").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__iiint, "iiint").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__iint, "iint").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Im, "Im").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__imath, "imath").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__implies, "implies").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__in, "in").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__infty, "infty").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__injlim, "injlim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__int, "int").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__intercal, "intercal").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__iota, "iota").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__jmath, "jmath").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__kappa, "kappa").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lambda, "lambda").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Lambda, "Lambda").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__land, "land").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ldots, "ldots").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftarrow, "leftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Leftarrow, "Leftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftarrowtail, "leftarrowtail").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftharpoondown, "leftharpoondown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftharpoonup, "leftharpoonup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftleftarrows, "leftleftarrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftrightarrow, "leftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Leftrightarrow, "Leftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftrightarrows, "leftrightarrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftrightharpoons, "leftrightharpoons").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftrightsquigarrow, "leftrightsquigarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leftthreetimes, "leftthreetimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leq, "leq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leqq, "leqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__leqslant, "leqslant").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lessapprox, "lessapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lessdot, "lessdot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lesseqgtr, "lesseqgtr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lesseqqgtr, "lesseqqgtr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lessgtr, "lessgtr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lesssim, "lesssim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__limits, "limits").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ll, "ll").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Lleftarrow, "Lleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lll, "lll").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lnapprox, "lnapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lneq, "lneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lneqq, "lneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lnot, "lnot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lnsim, "lnsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__longleftarrow, "longleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Longleftarrow, "Longleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__longleftrightarrow, "longleftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Longleftrightarrow, "Longleftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__longmapsto, "longmapsto").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__longrightarrow, "longrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Longrightarrow, "Longrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__looparrowleft, "looparrowleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__looparrowright, "looparrowright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lor, "lor").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lozenge, "lozenge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Lsh, "Lsh").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ltimes, "ltimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lVert, "lVert").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lvertneqq, "lvertneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mapsto, "mapsto").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__measuredangle, "measuredangle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mho, "mho").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mid, "mid").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mod, "mod").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__models, "models").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mp, "mp").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mu, "mu").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__multimap, "multimap").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nabla, "nabla").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__natural, "natural").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ncong, "ncong").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nearrow, "nearrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__neg, "neg").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__neq, "neq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nexists, "nexists").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ngeq, "ngeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ngeqq, "ngeqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ngeqslant, "ngeqslant").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ngtr, "ngtr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ni, "ni").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nleftarrow, "nleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nLeftarrow, "nLeftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nleftrightarrow, "nleftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nLeftrightarrow, "nLeftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nleq, "nleq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nleqq, "nleqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nleqslant, "nleqslant").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nless, "nless").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nmid, "nmid").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nolimits, "nolimits").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__not, "not").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__notin, "notin").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nparallel, "nparallel").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nprec, "nprec").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__npreceq, "npreceq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nrightarrow, "nrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nRightarrow, "nRightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nshortmid, "nshortmid").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nshortparallel, "nshortparallel").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsim, "nsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsubseteq, "nsubseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsubseteqq, "nsubseteqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsucc, "nsucc").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsucceq, "nsucceq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsupseteq, "nsupseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nsupseteqq, "nsupseteqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ntriangleleft, "ntriangleleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ntrianglelefteq, "ntrianglelefteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ntriangleright, "ntriangleright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ntrianglerighteq, "ntrianglerighteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nu, "nu").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nvdash, "nvdash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nVdash, "nVdash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nvDash, "nvDash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nVDash, "nVDash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__nwarrow, "nwarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__odot, "odot").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__oint, "oint").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__omega, "omega").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Omega, "Omega").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ominus, "ominus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__oplus, "oplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__oslash, "oslash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__otimes, "otimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overbrace, "overbrace").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overleftarrow, "overleftarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overleftrightarrow, "overleftrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overline, "overline").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overrightarrow, "overrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__P, "P").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__pagecolor, "pagecolor").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__parallel, "parallel").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__partial, "partial").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__perp, "perp").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__phi, "phi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Phi, "Phi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__pi, "pi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Pi, "Pi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__pitchfork, "pitchfork").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__pm, "pm").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__prec, "prec").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__precapprox, "precapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__preccurlyeq, "preccurlyeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__preceq, "preceq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__precnapprox, "precnapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__precneqq, "precneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__precnsim, "precnsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__precsim, "precsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__prime, "prime").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__prod, "prod").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__projlim, "projlim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__propto, "propto").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__psi, "psi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Psi, "Psi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__qquad, "qquad").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__quad, "quad").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Re, "Re").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rho, "rho").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightarrow, "rightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Rightarrow, "Rightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightarrowtail, "rightarrowtail").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightharpoondown, "rightharpoondown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightharpoonup, "rightharpoonup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightleftarrows, "rightleftarrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightrightarrows, "rightrightarrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightsquigarrow, "rightsquigarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightthreetimes, "rightthreetimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__risingdotseq, "risingdotseq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Rrightarrow, "Rrightarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Rsh, "Rsh").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rtimes, "rtimes").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rVert, "rVert").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__S, "S").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__scriptscriptstyle, "scriptscriptstyle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__scriptstyle, "scriptstyle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__searrow, "searrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__setminus, "setminus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sharp, "sharp").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__shortmid, "shortmid").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__shortparallel, "shortparallel").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sigma, "sigma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Sigma, "Sigma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sim, "sim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__simeq, "simeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__smallfrown, "smallfrown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__smallsetminus, "smallsetminus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__smallsmile, "smallsmile").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__smile, "smile").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__spadesuit, "spadesuit").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sphericalangle, "sphericalangle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqcap, "sqcap").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqcup, "sqcup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqsubset, "sqsubset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqsubseteq, "sqsubseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqsupset, "sqsupset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqsupseteq, "sqsupseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__square, "square").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__star, "star").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__subset, "subset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Subset, "Subset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__subseteq, "subseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__subseteqq, "subseteqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__subsetneq, "subsetneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__subsetneqq, "subsetneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succ, "succ").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succapprox, "succapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succcurlyeq, "succcurlyeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succeq, "succeq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succnapprox, "succnapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succneqq, "succneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succnsim, "succnsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__succsim, "succsim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sum, "sum").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supset, "supset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Supset, "Supset").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supseteq, "supseteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supseteqq, "supseteqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supsetneq, "supsetneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supsetneqq, "supsetneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__surd, "surd").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__swarrow, "swarrow").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tau, "tau").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textstyle, "textstyle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textvisiblespace, "textvisiblespace").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__therefore, "therefore").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__theta, "theta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Theta, "Theta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__thickapprox, "thickapprox").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__thicksim, "thicksim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__times, "times").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__to, "to").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__top, "top").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__triangle, "triangle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__triangledown, "triangledown").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__triangleleft, "triangleleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__trianglelefteq, "trianglelefteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__triangleq, "triangleq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__triangleright, "triangleright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__trianglerighteq, "trianglerighteq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__underbrace, "underbrace").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__underline, "underline").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__upharpoonleft, "upharpoonleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__upharpoonright, "upharpoonright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__uplus, "uplus").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__upsilon, "upsilon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Upsilon, "Upsilon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__upuparrows, "upuparrows").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varepsilon, "varepsilon").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varinjlim, "varinjlim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varkappa, "varkappa").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varliminf, "varliminf").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varlimsup, "varlimsup").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varnothing, "varnothing").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varphi, "varphi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varpi, "varpi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varprojlim, "varprojlim").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varpropto, "varpropto").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varrho, "varrho").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varsigma, "varsigma").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varsubsetneq, "varsubsetneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varsubsetneqq, "varsubsetneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varsupsetneq, "varsupsetneq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varsupsetneqq, "varsupsetneqq").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vartheta, "vartheta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vartriangle, "vartriangle").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vartriangleleft, "vartriangleleft").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vartriangleright, "vartriangleright").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vdash, "vdash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Vdash, "Vdash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vDash, "vDash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vdots, "vdots").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vee, "vee").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__veebar, "veebar").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vline, "vline").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Vvdash, "Vvdash").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__wedge, "wedge").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__widehat, "widehat").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__widetilde, "widetilde").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__wp, "wp").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__wr, "wr").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__xi, "xi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Xi, "Xi").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__zeta, "zeta").Literal_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__big, "big").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Big, "Big").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigg, "bigg").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bigg, "Bigg").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__biggl, "biggl").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Biggl, "Biggl").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__biggr, "biggr").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Biggr, "Biggr").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigl, "bigl").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bigl, "Bigl").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bigr, "bigr").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bigr, "Bigr").Big_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__backslash, "backslash").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__downarrow, "downarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Downarrow, "Downarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__langle, "langle").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lbrace, "lbrace").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lceil, "lceil").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lfloor, "lfloor").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__llcorner, "llcorner").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lrcorner, "lrcorner").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rangle, "rangle").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rbrace, "rbrace").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rceil, "rceil").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rfloor, "rfloor").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rightleftharpoons, "rightleftharpoons").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__twoheadleftarrow, "twoheadleftarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__twoheadrightarrow, "twoheadrightarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ulcorner, "ulcorner").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__uparrow, "uparrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Uparrow, "Uparrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__updownarrow, "updownarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Updownarrow, "Updownarrow").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__urcorner, "urcorner").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Vert, "Vert").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vert, "vert").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lbrack, "lbrack").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rbrack, "rbrack").Delimiter_().Tex_only_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__acute, "acute").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bar, "bar").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bcancel, "bcancel").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bmod, "bmod").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__boldsymbol, "boldsymbol").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__breve, "breve").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cancel, "cancel").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__check, "check").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ddot, "ddot").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dot, "dot").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__emph, "emph").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__grave, "grave").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hat, "hat").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathbb, "mathbb").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathbf, "mathbf").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathbin, "mathbin").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathcal, "mathcal").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathclose, "mathclose").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathfrak, "mathfrak").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathit, "mathit").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathop, "mathop").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathopen, "mathopen").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathord, "mathord").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathpunct, "mathpunct").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathrel, "mathrel").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathrm, "mathrm").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathsf, "mathsf").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mathtt, "mathtt").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__operatorname, "operatorname").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__pmod, "pmod").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sqrt, "sqrt").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textbf, "textbf").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textit, "textit").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textrm, "textrm").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__textsf, "textsf").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__texttt, "texttt").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tilde, "tilde").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vec, "vec").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__xcancel, "xcancel").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__xleftarrow, "xleftarrow").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__xrightarrow, "xrightarrow").Args_(1).Fun_ar1_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__binom, "binom").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cancelto, "cancelto").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cfrac, "cfrac").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dbinom, "dbinom").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dfrac, "dfrac").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__frac, "frac").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__overset, "overset").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__stackrel, "stackrel").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tbinom, "tbinom").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tfrac, "tfrac").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__underset, "underset").Args_(2).Fun_ar2_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__atop, "atop").Fun_infix_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__choose, "choose").Fun_infix_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__over, "over").Fun_infix_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Coppa, "Coppa").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__coppa, "coppa").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Digamma, "Digamma").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__euro, "euro").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geneuro, "geneuro").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geneuronarrow, "geneuronarrow").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__geneurowide, "geneurowide").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Koppa, "Koppa").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__koppa, "koppa").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__officialeuro, "officialeuro").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Sampi, "Sampi").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sampi, "sampi").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Stigma, "Stigma").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__stigma, "stigma").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varstigma, "varstigma").Literal_().Tex_only_().Manual_("\\mbox{~0}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__C, "C").Literal_().Tex_only_().Manual_("\\mathbb{C}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__H, "H").Literal_().Tex_only_().Manual_("\\mathbb{H}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__N, "N").Literal_().Tex_only_().Manual_("\\mathbb{N}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Q, "Q").Literal_().Tex_only_().Manual_("\\mathbb{Q}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__R, "R").Literal_().Tex_only_().Manual_("\\mathbb{R}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Z, "Z").Literal_().Tex_only_().Manual_("\\mathbb{Z}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__darr, "darr").Delimiter_().Tex_only_().Manual_("\\downarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dArr, "dArr").Delimiter_().Tex_only_().Manual_("\\Downarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Darr, "Darr").Delimiter_().Tex_only_().Manual_("\\Downarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lang, "lang").Delimiter_().Tex_only_().Manual_("\\langle"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rang, "rang").Delimiter_().Tex_only_().Manual_("\\rangle"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__uarr, "uarr").Delimiter_().Tex_only_().Manual_("\\uparrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__uArr, "uArr").Delimiter_().Tex_only_().Manual_("\\Uparrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Uarr, "Uarr").Delimiter_().Tex_only_().Manual_("\\Uparrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Bbb, "Bbb").Args_(1).Fun_ar1_().Manual_("\\mathbb"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bold, "bold").Args_(1).Fun_ar1_().Manual_("\\mathbf"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__alef, "alef").Literal_().Tex_only_().Manual_("\\aleph"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__alefsym, "alefsym").Literal_().Tex_only_().Manual_("\\aleph"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Alpha, "Alpha").Literal_().Tex_only_().Manual_("\\mathrm{A}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__and, "and").Literal_().Tex_only_().Manual_("\\land"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ang, "ang").Literal_().Tex_only_().Manual_("\\angle"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Beta, "Beta").Literal_().Tex_only_().Manual_("\\mathrm{B}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bull, "bull").Literal_().Tex_only_().Manual_("\\bullet"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Chi, "Chi").Literal_().Tex_only_().Manual_("\\mathrm{X}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__clubs, "clubs").Literal_().Tex_only_().Manual_("\\clubsuit"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cnums, "cnums").Literal_().Tex_only_().Manual_("\\mathbb{C}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Complex, "Complex").Literal_().Tex_only_().Manual_("\\mathbb{C}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Dagger, "Dagger").Literal_().Tex_only_().Manual_("\\ddagger"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__diamonds, "diamonds").Literal_().Tex_only_().Manual_("\\diamondsuit"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Doteq, "Doteq").Literal_().Tex_only_().Manual_("\\doteqdot"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__doublecap, "doublecap").Literal_().Tex_only_().Manual_("\\Cap"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__doublecup, "doublecup").Literal_().Tex_only_().Manual_("\\Cup"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__empty, "empty").Literal_().Tex_only_().Manual_("\\emptyset"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Epsilon, "Epsilon").Literal_().Tex_only_().Manual_("\\mathrm{E}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Eta, "Eta").Literal_().Tex_only_().Manual_("\\mathrm{H}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__exist, "exist").Literal_().Tex_only_().Manual_("\\exists"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ge, "ge").Literal_().Tex_only_().Manual_("\\geq"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gggtr, "gggtr").Literal_().Tex_only_().Manual_("\\ggg"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hAar, "hAar").Literal_().Tex_only_().Manual_("\\Leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__harr, "harr").Literal_().Tex_only_().Manual_("\\leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Harr, "Harr").Literal_().Tex_only_().Manual_("\\Leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hearts, "hearts").Literal_().Tex_only_().Manual_("\\heartsuit"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__image, "image").Literal_().Tex_only_().Manual_("\\Im"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__infin, "infin").Literal_().Tex_only_().Manual_("\\infty"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Iota, "Iota").Literal_().Tex_only_().Manual_("\\mathrm{I}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__isin, "isin").Literal_().Tex_only_().Manual_("\\in"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Kappa, "Kappa").Literal_().Tex_only_().Manual_("\\mathrm{K}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__larr, "larr").Literal_().Tex_only_().Manual_("\\leftarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Larr, "Larr").Literal_().Tex_only_().Manual_("\\Leftarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lArr, "lArr").Literal_().Tex_only_().Manual_("\\Leftarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__le, "le").Literal_().Tex_only_().Manual_("\\leq"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lrarr, "lrarr").Literal_().Tex_only_().Manual_("\\leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Lrarr, "Lrarr").Literal_().Tex_only_().Manual_("\\Leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lrArr, "lrArr").Literal_().Tex_only_().Manual_("\\Leftrightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Mu, "Mu").Literal_().Tex_only_().Manual_("\\mathrm{M}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__natnums, "natnums").Literal_().Tex_only_().Manual_("\\mathbb{N}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ne, "ne").Literal_().Tex_only_().Manual_("\\neq"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Nu, "Nu").Literal_().Tex_only_().Manual_("\\mathrm{N}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__O, "O").Literal_().Tex_only_().Manual_("\\emptyset"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__omicron, "omicron").Literal_().Tex_only_().Manual_("\\mathrm{o}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Omicron, "Omicron").Literal_().Tex_only_().Manual_("\\mathrm{O}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__or, "or").Literal_().Tex_only_().Manual_("\\lor"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__part, "part").Literal_().Tex_only_().Manual_("\\partial"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__plusmn, "plusmn").Literal_().Tex_only_().Manual_("\\pm"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rarr, "rarr").Literal_().Tex_only_().Manual_("\\rightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Rarr, "Rarr").Literal_().Tex_only_().Manual_("\\Rightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rArr, "rArr").Literal_().Tex_only_().Manual_("\\Rightarrow"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__real, "real").Literal_().Tex_only_().Manual_("\\Re"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__reals, "reals").Literal_().Tex_only_().Manual_("\\mathbb{R}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Reals, "Reals").Literal_().Tex_only_().Manual_("\\mathbb{R}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__restriction, "restriction").Literal_().Tex_only_().Manual_("\\upharpoonright"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Rho, "Rho").Literal_().Tex_only_().Manual_("\\mathrm{P}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sdot, "sdot").Literal_().Tex_only_().Manual_("\\cdot"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sect, "sect").Literal_().Tex_only_().Manual_("\\S"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__spades, "spades").Literal_().Tex_only_().Manual_("\\spadesuit"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sub, "sub").Literal_().Tex_only_().Manual_("\\subset"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sube, "sube").Literal_().Tex_only_().Manual_("\\subseteq"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__supe, "supe").Literal_().Tex_only_().Manual_("\\supseteq"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Tau, "Tau").Literal_().Tex_only_().Manual_("\\mathrm{T}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__thetasym, "thetasym").Literal_().Tex_only_().Manual_("\\vartheta"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__varcoppa, "varcoppa").Literal_().Tex_only_().Manual_("\\mbox{coppa}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__weierp, "weierp").Literal_().Tex_only_().Manual_("\\wp"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Zeta, "Zeta").Literal_().Tex_only_().Manual_("\\mathrm{Z}"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__rm, "rm").Declh_().Fontforce_rm_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__it, "it").Declh_().Fontforce_rm_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cal, "cal").Declh_().Fontforce_rm_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__bf, "bf").Declh_().Fontforce_rm_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sideset, "sideset").Args_(2).Fun_ar2nb_().Manual_("\\sideset "));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__left, "left").Left_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__right, "right").Right_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__text, "text").Fail_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__mbox, "mbox").Fail_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__vbox, "vbox").Fail_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hbox, "hbox").Fail_());
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arccos, "arccos").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arcsin, "arcsin").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arctan, "arctan").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arg, "arg").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cos, "cos").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cosh, "cosh").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__cot, "cot").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__coth, "coth").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__csc, "csc").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__deg, "deg").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__det, "det").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__dim, "dim").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__exp, "exp").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__gcd, "gcd").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__hom, "hom").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__inf, "inf").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ker, "ker").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lg, "lg").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__lim, "lim").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__liminf, "liminf").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__limsup, "limsup").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__ln, "ln").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__log, "log").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__max, "max").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__min, "min").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__Pr, "Pr").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sec, "sec").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sin, "sin").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sinh, "sinh").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sup, "sup").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tan, "tan").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__tanh, "tanh").Tag_("latex_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arccot, "arccot").Tag_("mediawiki_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arcsec, "arcsec").Tag_("mediawiki_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__arccsc, "arccsc").Tag_("mediawiki_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sgn, "sgn").Tag_("mediawiki_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__sen, "sen").Tag_("mediawiki_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__begin, "begin").Args_(1).Tag_("scope_func"));
rv.Add(tkn_mkr, Make(Texvc_func_itm_.Id__end, "end").Args_(1).Tag_("scope_func"));
		return rv;
	}
	private static Texvc_func_itm Make(int id, String key) {return new Texvc_func_itm(id, Bry_.new_a7(key));}	// NOTE: TEX func names are ASCII
}
